Cancel Delivery Request
curl --request POST \
--url https://api.usedroptrail.com/delivery-requests/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usedroptrail.com/delivery-requests/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usedroptrail.com/delivery-requests/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>",
"cancelled_at": "<string>",
"cancellation_reason": "<string>"
}Delivery Requests
Cancel Delivery Request
Cancel an existing delivery request
POST
/
delivery-requests
/
{id}
/
cancel
Cancel Delivery Request
Cancel a delivery request that hasn’t been accepted by a delivery partner yet. Once a request is accepted, it cannot be cancelled.
Path Parameters
string
required
The unique identifier of the delivery request to cancel
Response
string
The unique identifier of the cancelled delivery request
string
Updated status of the request. Will be set to “CANCELLED”
string
ISO 8601 timestamp when the request was cancelled
string
System-generated reason for cancellation (“USER_REQUESTED”)
Example Request
⌘I